security update fail

  kindly 11:00 21 Mar 08
Locked

I am trying to install one of the security updates from Microsoft. Every time I try it ends up saying it could not be installed. I have checked their website to see if any reasons could be given to suite my problem but could not find any. The update is "Security Update for Microsoft .NET Framework, Version 1.1 Service Pack 1 (KB928366)". I am running XP home with SP2 installed.
I have stopped my firewall and antivirus programs to no avail. I even unticked the box to say I dont want the update because even after the failure I get the update message again. But even then it still comes up asking me to update. Has anyone got any ideas please. Thanks in advance.

  smokingbeagle 11:56 21 Mar 08

Uninstall .Net and re-install. It may not allow you to remove it via "Add/Remove Programs".(Remember to tick "Show Updates"

In which case use this tool.

click here


Scroll down to :How to remove broken .NET Framework builds

  setecio 11:57 21 Mar 08

Go to the windows update web site and custom update and download .Net framework v3 , big download .

I suspect it is trying to update an old version not supported. You might not need .net framework but this might fix your problem.

  kindly 16:32 21 Mar 08

What is this update for and what does net framework do. It is a media computer that I have.

  kindly 16:34 21 Mar 08

I have net framework 3 installed so do I need the 1.1 that is shown.

  rickf 16:57 21 Mar 08

I used this tool recently and it worked a treat. Its called wurtbeta but the link seeemed to have disappeared. Had 187 updtaes which wouldn't installed. After using it evrything went as before. Try googling it.

  rickf 17:02 21 Mar 08

Click here click here
Just found it. It seems to have been deleted from other download sites though. The full version is now released. Just to say that it worked a treat from and lots of others had with success. Try it but I can't take responsibilty for it.
Others may well contribute to this.

  rickf 17:04 21 Mar 08

should read "for me" not "from"

  smokingbeagle 18:04 21 Mar 08

Yes you do need .Net 1 and 2 as many programs require it to be installed. .Net 3 is as I understand it mainly intended for use by programmers and is optional for most users.

  kindly 19:28 21 Mar 08

Thanks for the info everyone. I will go and sort it now. Will get back and let you know how it goes. Cheers

  kindly 20:08 21 Mar 08

Hi again. Update... I used the tool to remove the net framwork 1.1 then did updates. The updates then showed I need the version 3!!. Anyway I did that and it failed to load. After looking into the add and remove section in control panel and showing all updates the version 3 is allready installed. So I will just leave alone for the time being and see what goes on in the near future.
I did do a system restore before all this and there is a system checkpoint a couple of weeks ago so all is not lost if anything is wrong.
Thanks everyone. I have learnt a bit more about windows as well. cheers.

This thread is now locked and can not be replied to.

Surface Pro 5 News - release date, UK price, features, specs

Microsoft Surface Studio hands-on review: the iMac killer is here

Best Mac antivirus 2017